Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Update dependency gradle to v5.6.0 #26

Merged
merged 1 commit into from Aug 15, 2019

Conversation

@renovate
Copy link
Contributor

commented Aug 15, 2019

This PR contains the following updates:

Package Type Update Change
gradle (source) gradle-wrapper minor 5.1.0 -> 5.6.0

Release Notes

gradle/gradle

v5.6.0

Compare Source

The Gradle team is excited to announce Gradle 5.6.

This release also contains an important security fix affecting some users.

This is the final minor release for Gradle 5.x. Read the release notes

We would like to thank the following community contributors to this release of Gradle:

Louis CAD,
Roberto Perez Alcolea,
Dan Sănduleac,
Andrew K.,
Noa Resare,
Juan Martín Sotuyo Dodero,
Semyon Levin,
wreulicke,
John Rodriguez,
mig4,
Evgeny Mandrikov,
Bjørn Mølgård Vester,
Simon Legner,
Sebastian Schuberth,
Ian Kerins,
Ivo Anjo,
Stefan M.,
Nickolay Chameev,
Dominik Giger,
Stephan Windmüller,
Zemian Deng,
Robin Verduijn,
Sandu Turcan,
Emmanuel Guérin,
Nikita Skvortsov,
and Christian Fränkel.

Upgrade Instructions

Switch your build to use Gradle 5.6 by updating your wrapper properties:

./gradlew wrapper --gradle-version=5.6

Standalone downloads are available at gradle.org/releases.

Reporting Problems

If you find a problem with Gradle, please file a bug on GitHub Issues adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the forum.

v5.5.1

Compare Source

This bug-fix release contains three changes to Gradle 5.5:

  • Combination of errorprone-gradle-plugin and options.fork = true causes Java compilation to fail in Gradle 5.5 #​9897
  • Using dependency declaration gradleKotlinDsl() fails with 5.5 #​9919
  • Chain of transitives aligned by same platform can lead to broken resolution #​9882

We recommend that you use Gradle 5.5.1 over 5.5.

Upgrade Instructions

Switch your build to use Gradle 5.5.1 by updating your wrapper properties:

./gradlew wrapper --gradle-version=5.5.1

Standalone downloads are available at https://gradle.org/install.

Reporting Problems

If you find a problem with Gradle, please file a bug on GitHub Issues adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the forum.

v5.5.0

Compare Source

The Gradle team is excited to announce Gradle 5.5.

Read the release notes

We would like to thank the following community contributors to this release of Gradle:
Martin d'Anjou,
Ben Asher,
Mike Kobit,
Erhard Pointl,
Sebastian Schuberth,
Evgeny Mandrikov,
Stefan M.,
Igor Melnichenko,
Björn Kautler,
Roberto Perez Alcolea and
Christian Fränkel.

Upgrade Instructions

Switch your build to use Gradle 5.5 by updating your wrapper properties:

./gradlew wrapper --gradle-version=5.5

Standalone downloads are available at gradle.org/releases.

Reporting Problems

If you find a problem with Gradle, please file a bug on GitHub Issues adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the forum.

v5.4.1

Compare Source

This bug-fix release contains two changes to Gradle 5.4:

  • Fix inconsistent classpath ordering when dependencies have lots of excludes - #​9197
  • Kotlin DSL IDEA script editor can't find JDK classes with Gradle 5.4 if Gradle JVM != Project SDK - #​9195

We recommend that you use Gradle 5.4.1 over 5.4.

Upgrade Instructions

Switch your build to use Gradle 5.4.1 by updating your wrapper properties:

./gradlew wrapper --gradle-version=5.4.1

Standalone downloads are available at https://gradle.org/install.

Reporting Problems

If you find a problem with Gradle, please file a bug on GitHub Issues adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the forum.

v5.4.0

Compare Source

The Gradle team is excited to announce Gradle 5.4.

Read the release notes

We would like to thank the following community contributors to this release of Gradle:
Ian Kerins,
Roberto Perez Alcolea,
Rodolfo Forte,
gla3dr,
and Stefan M..

Upgrade Instructions

Switch your build to use Gradle 5.4 by updating your wrapper properties:

./gradlew wrapper --gradle-version=5.4

Standalone downloads are available at gradle.org/releases.

Reporting Problems

If you find a problem with Gradle, please file a bug on GitHub Issues adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the forum.

v5.3.1

Compare Source

This bug-fix release contains several changes to Gradle 5.3, notably:

  • Unable to use java-platform and maven-publish in multi-project: #​8845
  • Unexpected exception when adding a plugin on buildSrc compile classpath: gradle/kotlin-dsl#​1363

We recommend that you use Gradle 5.3.1 over 5.3.

Upgrade Instructions

Switch your build to use Gradle 5.3.1 by updating your wrapper properties:

./gradlew wrapper --gradle-version=5.3.1

Standalone downloads are available at https://gradle.org/install.

Reporting Problems

If you find a problem with Gradle, please file a bug on GitHub Issues adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the forum.

v5.3.0

Compare Source

The Gradle team is excited to announce Gradle 5.3.

This release features support for publishing and consuming Gradle Module Metadata, feature variants or "optional dependencies", type-safe accessors in Kotlin precompiled script plugins, and more.

Read the Gradle 5.x upgrade guide to learn about breaking changes and considerations for upgrading from Gradle 5.0. If upgrading from Gradle 4.x, please read upgrading from Gradle 4.x to 5.0 first.

We would like to thank the following community contributors to this release of Gradle: Stefan M., Evgeny Mandrikov, Simon Legner, Raman Gupta, Florian Dreier, Kenzie Togami, Ricardo Pereira, Thad House, Joe Kutner, and Josh Soref.

Upgrade Instructions

Switch your build to use Gradle 5.3 by updating your wrapper properties:

./gradlew wrapper --gradle-version=5.3

Standalone downloads are available at gradle.org/releases.

Reporting Problems

If you find a problem with Gradle, please file a bug on GitHub Issues adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the forum.

v5.2.1

Compare Source

This bug-fix release contains several changes to Gradle 5.2, notably:

  • Checkstyle issues with a single source file: #​8394
  • BOM support conflicts: #​8420

We recommend that you use Gradle 5.2.1 over 5.2.

Upgrade Instructions

Switch your build to use Gradle 5.2.1 by updating your wrapper properties:

./gradlew wrapper --gradle-version=5.2.1

Standalone downloads are available at https://gradle.org/install.

Reporting Problems

If you find a problem with Gradle, please file a bug on GitHub Issues adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the forum.

v5.2.0

Compare Source

The Gradle team is excited to announce Gradle 5.2.

This release features a new Java Platform plugin, improved C++ plugins, new C++ project types for gradle init, service injection into plugins and project extensions, Kotlin DSL 1.1.3 and more.

Read the Gradle 5.x upgrade guide to learn about breaking changes and considerations for upgrading from Gradle 5.0. If upgrading from Gradle 4.x, please read upgrading from Gradle 4.x to 5.0 first. Users upgrading from 5.1 should not have to worry about breaking changes.

Upgrade Instructions

Switch your build to use Gradle 5.2 by updating your wrapper properties:

./gradlew wrapper --gradle-version=5.2

Standalone downloads are available at gradle.org/releases.

Reporting Problems

If you find a problem with this release, please file a bug on GitHub Issues adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the forum.

v5.1.1

Compare Source

This bug-fix release contains several changes to Gradle 5.1, notably:

  • A daemon memory leak affecting all projects #​8142
  • Incremental Java compilation #​8194
  • A fix to Gradle's generated Javadoc in 5.1 #​8183

We recommend that you use Gradle 5.1.1 over 5.1.

Upgrade Instructions

Switch your build to use Gradle 5.1.1 by updating your wrapper properties:

./gradlew wrapper --gradle-version=5.1.1

Standalone downloads are available at https://gradle.org/install.

Reporting Problems

If you find a problem with Gradle, please file a bug on GitHub Issues adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the forum.


Renovate configuration

📅 Schedule: At any time (no schedule defined).

🚦 Automerge: Disabled by config. Please merge this manually once you are satisfied.

♻️ Rebasing: Whenever PR becomes conflicted, or if you modify the PR title to begin with "rebase!".

🔕 Ignore: Close this PR and you won't be reminded about this update again.


  • If you want to rebase/retry this PR, check this box

This PR has been generated by Renovate Bot. View repository job log here.

@adrw
adrw approved these changes Aug 15, 2019
@adrw adrw merged commit 4574faa into master Aug 15, 2019
2 checks passed
2 checks passed
ci/circleci: docs Your tests passed on CircleCI!
Details
ci/circleci: java Your tests passed on CircleCI!
Details
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.